#
# spec file for package python-zstandard
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zstandard
Version:        0.13.0
Release:        bp153.1.20
Summary:        Zstandard bindings for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/indygreg/python-zstandard
Source:         https://files.pythonhosted.org/packages/source/z/zstandard/zstandard-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  libzstd-devel
BuildRequires:  python-rpm-macros
BuildRequires:  zstd
Requires:       python-cffi >= 1.11
Requires:       zstd
Conflicts:      python-zstd
# SECTION test requirements
BuildRequires:  %{python_module cffi >= 1.11}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Zstandard bindings for Python

%prep
%setup -q -n zstandard-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
export PYTHONDONTWRITEBYTECODE=1
%pytest_arch

%files %{python_files}
%doc NEWS.rst README.rst
%license LICENSE
%{python_sitearch}/*

%changelog
* Mon Mar  9 2020 pgajdos@suse.com
- version update to 0.13.0
  * ``pytest-xdist`` ``pytest`` extension is now installed so tests can be
    run in parallel.
  * CI now builds ``manylinux2010`` and ``manylinux2014`` binary wheels
    instead of a mix of ``manylinux2010`` and ``manylinux1``.
  * Official support for Python 3.8 has been added.
  * Bundled zstandard library upgraded from 1.4.3 to 1.4.4.
  * Python code has been reformatted with black.
* Fri Sep 20 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.12.0:
  * Fix ZstdDecompressor.__init__ on 64-bit big-endian systems (#91).
  * Fix memory leak in ZstdDecompressionReader.seek() (#82).
  * CI transitioned to Azure Pipelines (from AppVeyor and Travis CI).
  * Switched to pytest for running tests (from nose).
* Fri May 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.11.1:
  * Fix memory leak in ``ZstdDecompressionReader.seek()`` (#82).
* Tue May  7 2019 Todd R <toddrme2178@gmail.com>
- Conflict with python-zstd, which shares the same module name.
* Tue Apr 30 2019 Todd R <toddrme2178@gmail.com>
- Initial version
